# $Revision: 1.7 $, $Date: 2010/06/06 08:37:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gtk2
%define		pnam	TrayManager
Summary:	Gtk2::TrayManager - Perl bindings for EggTrayManager
Summary(pl.UTF-8):	Gtk2::TrayManager - Dowiązania Perla dla EggTrayManager
Name:		perl-Gtk2-TrayManager
Version:	0.05
Release:	4
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	88cf41ab0d72572ac3d2e9ab9b3ab8f0
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	perl-Glib >= 1.00
BuildRequires:	perl-Gtk2 >= 1.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gtk2::TrayManager allows a Perl developer to create notification area
applications.

%description -l pl.UTF-8
Gtk2::TrayManager pozwala programistom perlowym na tworzenie programów
wykorzystujących obszar powiadamiania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk2/TrayManager.pm
%dir %{perl_vendorarch}/Gtk2/TrayManager
%{perl_vendorarch}/Gtk2/TrayManager/Install
%dir %{perl_vendorarch}/auto/Gtk2/TrayManager
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/TrayManager/*.so
%{perl_vendorarch}/auto/Gtk2/TrayManager/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gtk2-TrayManager.spec,v $
Revision 1.7  2010/06/06 08:37:32  arekm
- release 4

Revision 1.6  2008/02/10 12:11:49  arekm
- rel 3

Revision 1.5  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.4  2007-03-26 22:07:11  radek
- release 2

Revision 1.3  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.2  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.1  2005/05/22 11:07:57  freetz
- initial

